Bug 461743 - system-config-network DBusException
system-config-network DBusException
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: hal (Show other bugs)
8
i686 Linux
medium Severity urgent
: ---
: ---
Assigned To: David Zeuthen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-10 07:52 EDT by Felix Garcia Renedo
Modified: 2013-03-05 22:56 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 01:45:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Felix Garcia Renedo 2008-09-10 07:52:02 EDT
Description of problem:
Component: system-config-network
Version: 1.5.10
Summary: TBb912f5f7 connection.py:602:call_blocking:DBusException: org.freedesktop.DBus.Error.ServiceUnknown: The name org.freedesktop.Hal was not provided by any .service files

Traceback (most recent call last):
  File "/usr/sbin/system-config-network-gui", line 166, in runit
    window = mainDialog()
  File "/usr/share/system-config-network/netconfpkg/gui/maindialog.py", line 275, in __init__
    self.load()
  File "/usr/share/system-config-network/netconfpkg/gui/maindialog.py", line 300, in load
    self.loadHardware()
  File "/usr/share/system-config-network/netconfpkg/gui/maindialog.py", line 312, in loadHardware
    hardwarelist = getHardwareList()
  File "/usr/share/system-config-network/netconfpkg/NCHardwareList.py", line 759, in getHardwareList
    __HWList.load()
  File "/usr/share/system-config-network/netconfpkg/NCHardwareList.py", line 603, in load
    self.updateFromSystem()
  File "/usr/share/system-config-network/netconfpkg/NCHardwareList.py", line 483, in updateFromSystem
    self.updateFromHal(hdellist)
  File "/usr/share/system-config-network/netconfpkg/NCHardwareList.py", line 447, in updateFromHal
    hal = NCBackendHal.NCBackendHal()
  File "/usr/share/system-config-network/netconfpkg/NCBackendHal.py", line 31, in __init__
    self.halManagerObj = self._dbusBus.get_object("org.freedesktop.Hal", "/org/freedesktop/Hal/Manager")
  File "/usr/lib/python2.5/site-packages/dbus/bus.py", line 240, in get_object
    follow_name_owner_changes=follow_name_owner_changes)
  File "/usr/lib/python2.5/site-packages/dbus/proxies.py", line 236, in __init__
    self._named_service = conn.activate_name_owner(bus_name)
  File "/usr/lib/python2.5/site-packages/dbus/bus.py", line 179, in activate_name_owner
    self.start_service_by_name(bus_name)
  File "/usr/lib/python2.5/site-packages/dbus/bus.py", line 277, in start_service_by_name
    'su', (bus_name, flags)))
  File "/usr/lib/python2.5/site-packages/dbus/connection.py", line 602, in call_blocking
    reply_message = self.send_message_with_reply_and_block(message, timeout)
DBusException: org.freedesktop.DBus.Error.ServiceUnknown: The name org.freedesktop.Hal was not provided by any .service files

Local variables in innermost frame:
byte_arrays: False
self: <dbus._dbus.SystemBus (system) at 0xb780fe6c>
args: ('org.freedesktop.Hal', 0)
utf8_strings: False
bus_name: org.freedesktop.DBus
get_args_opts: {'byte_arrays': False, 'utf8_strings': False}
object_path: /org/freedesktop/DBus
timeout: -1.0
signature: su
dbus_interface: org.freedesktop.DBus
message: <dbus.lowlevel.MethodCallMessage object at 0xb79d34f0>
method: StartServiceByName


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. click on System menu
2. click on Administration submenu
3. click on Network submenu
  
Actual results:

Exception showed above.....

Expected results:


Additional info:
Comment 1 Felix Garcia Renedo 2008-09-10 07:54:12 EDT
I have problems with hal daemon that it don't start and sound doesn't work.
Comment 2 Felix Garcia Renedo 2008-09-10 08:04:06 EDT
It is a laptop Toshiba A200. I can't activate wireless card but I can use local network.
I can hear sound with "Detection sound card" but I have some problem with GStreamer.
I think all has some to do with hal daemon.
Comment 3 Felix Garcia Renedo 2008-09-12 03:39:13 EDT
I installed Fedora Core 8 last year in my laptop and it worked fine until last july (I don't remember what day). I installed some updates and it failed sound card, automount, and network. When I start every morning I get that hal daemon [FAILED].
Comment 4 Felix Garcia Renedo 2008-09-12 04:14:19 EDT
I have updated this morning and I have:

hal-cups-utils-0.6.13-2.fc8
hal-0.5.10-4.fc8
hal-devel-0.5.10-4.fc8
hal-libs-0.5.10-4.fc8
hal-docs-0.5.10-4.fc8
hal-info-20080607-2.fc8

And it works as bad as before.
Comment 5 Jiri Moskovcak 2008-09-12 08:01:05 EDT
This seems more like HAL problem - reassigning to proper component.
Comment 6 Bug Zapper 2008-11-26 06:08:27 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Mateusz M. 2008-12-10 17:43:44 EST
anaconda None exception report
Traceback (most recent call first):
  File "/usr/lib/python2.5/site-packages/dbus/connection.py", line 630, in call_blocking
    message, timeout)
  File "/usr/lib/python2.5/site-packages/dbus/proxies.py", line 140, in __call__
    **keywords)
  File "/usr/lib/python2.5/site-packages/dbus/proxies.py", line 68, in __call__
    return self._proxy_method(*args, **keywords)
  File "/usr/lib/anaconda/network.py", line 99, in getDefaultHostname
    addrs = ip4_config_props.Get(isys.NM_MANAGER_IFACE, "Addresses")[0]
  File "/usr/lib/anaconda/iw/network_gui.py", line 38, in getScreen
    self.hostname = network.getDefaultHostname(anaconda)
  File "/usr/lib/anaconda/gui.py", line 1442, in setScreen
    new_screen = self.currentWindow.getScreen(anaconda)
  File "/usr/lib/anaconda/gui.py", line 1359, in nextClicked
    self.setScreen ()
DBusException: org.freedesktop.DBus.Error.UnknownMethod: Method "Get" with signature "ss" on interface "org.freedesktop.DBus.Properties" doesn't exist


Local variables in innermost frame:
byte_arrays: False
self: <dbus._dbus.SystemBus (system) at 0x24dfdd0>
args: ('org.freedesktop.NetworkManager', 'Addresses')
utf8_strings: False
bus_name: :1.7
get_args_opts: {'byte_arrays': False, 'utf8_strings': False}
object_path: /
timeout: -1.0
signature: None
dbus_interface: org.freedesktop.DBus.Properties
message: <dbus.lowlevel.MethodCallMessage object at 0x7f81f565d648>
method: Get


Anaconda instance, containing members:
rescue_mount: True
intf: InstallInterface instance, containing members:
  intf.icw: InstallControlWindow instance, containing members:
    intf.icw.handle: 37
    intf.icw.currentWindow: NetworkWindow instance, containing members:
      intf.icw.currentWindow.ics: InstallControlState instance, containing members:
        intf.icw.currentWindow.ics.prevEnabled: True
        intf.icw.currentWindow.ics.cw: Already dumped
        intf.icw.currentWindow.ics.nextEnabled: True
        intf.icw.currentWindow.ics.grabNext: True
        intf.icw.currentWindow.ics.title: Install Window
      intf.icw.currentWindow.intf: Already dumped
      intf.icw.currentWindow.anaconda: Already dumped
    intf.icw.mainxml: <gtk.glade.XML object at 0x7f81f54f0910 (PyGladeXML at 0x7f81f556f0f0)>
    intf.icw.window: <gtk.Window object at 0x7f81f54f0780 (GtkWindow at 0x7f8207f3f130)>
    intf.icw.installFrame: <gtk.Frame object at 0x7f81f54f0820 (GtkFrame at 0x7f81f557d6f0)>
    intf.icw.anaconda: Already dumped
    intf.icw.reloadRcQueued: 0
  intf.runres: 800x600
  intf.anaconda: Already dumped
rescue: False
updateSrc: None
mediaDevice: None
methodstr: livecd:///dev/mapper/live-osimg-min
dispatch: <dispatch.Dispatcher object at 0x7f81f5500690>
rootPath: /mnt/sysimage
xdriver: None
isKickstart: False
stage2: None
id: InstallData instance, containing members:
  id.firewall: Firewall instance, containing members:
    id.firewall.portlist: []
    id.firewall.servicelist: [ssh]
    id.firewall.trustdevs: []
    id.firewall.enabled: 1
  id.anaconda: Already dumped
  id.upgradeRoot: None
  id.keyboard: Keyboard instance, containing members:
    id.keyboard.info: {'LAYOUT': pl, 'KEYBOARDTYPE': pc, 'VARIANT': , 'KEYTABLE': pl2, 'MODEL': pc105, 'OPTIONS': }
    id.keyboard.type: PC
    id.keyboard._mods: KeyboardModels instance, containing members:
    id.keyboard.beenset: 1
  id.timezone: Timezone instance, containing members:
    id.timezone.utc: 0
    id.timezone.tz: America/New_York
  id.zfcp: ZFCP instance, containing members:
    id.zfcp.hasReadConfig: False
    id.zfcp.fcpdevs: []
  id.upgrade: None
  id.monitor: None
  id.iscsi: <iscsi.iscsi object at 0x7f81f5500990>
  id.fsset: FileSystemSet instance, containing members:
    id.fsset.messageWindow: <bound method InstallInterface.messageWindow of <gui.InstallInterface instance at 0x7f81fb2c0680>>
    id.fsset.volumesCreated: 0
    id.fsset.progressWindow: <bound method InstallInterface.progressWindow of <gui.InstallInterface instance at 0x7f81fb2c0680>>
    id.fsset.migratedfs: 0
    id.fsset.waitWindow: <bound method InstallInterface.waitWindow of <gui.InstallInterface instance at 0x7f81fb2c0680>>
    id.fsset.entries: [fsentry -- device: shm   mountpoint: /dev/shm
  fsystem: tmpfs format: 0
  ismounted: 0  options: 'defaults'
  label: None fsprofile: None

, fsentry -- device: devpts   mountpoint: /dev/pts
  fsystem: devpts format: 0
  ismounted: 0  options: 'gid=5,mode=620'
  label: None fsprofile: None

, fsentry -- device: sys   mountpoint: /sys
  fsystem: sysfs format: 0
  ismounted: 0  options: 'defaults'
  label: None fsprofile: None

, fsentry -- device: proc   mountpoint: /proc
  fsystem: proc format: 0
  ismounted: 0  options: 'defaults'
  label: None fsprofile: None

]
    id.fsset.mountcount: 0
  id.desktop: Desktop instance, containing members:
    id.desktop.info: {}
    id.desktop.runlevel: 3
  id.rootParts: None
  id.x_already_set: 1
  id.backend: LiveCDCopyBackend instance, containing members:
    id.backend.modeText: 
    id.backend.instPath: /mnt/sysimage
    id.backend.skipFormatRoot: True
    id.backend.instLog: None
    id.backend.supportsUpgrades: False
    id.backend._loopbackFile: None
    id.backend.osimg: //dev/mapper/live-osimg-min
    id.backend.supportsPackageSelection: False
  id.firstboot: 0
  id.diskset: DiskSet instance, containing members:
    id.diskset.initializedDisks: {}
    id.diskset.disks: {}
    id.diskset.anaconda: Already dumped
    id.diskset.devicesOpen: False
    id.diskset.onlyPrimary: None
  id.users: None
  id.displayMode: g
  id.auth: --enableshadow --passalgo=sha512
  id.ksdata: None
  id.bootloader: x86BootloaderInfo instance, containing members:
    id.bootloader._configdir: /boot/grub
    id.bootloader.doUpgradeOnly: 0
    id.bootloader.above1024: 0
    id.bootloader.defaultDevice: None
    id.bootloader.pure: None
    id.bootloader.serialDevice: None
    id.bootloader.args: KernelArguments instance, containing members:
      id.bootloader.args.args: 
    id.bootloader.kernelLocation: /boot/
    id.bootloader.timeout: None
    id.bootloader._configname: grub.conf
    id.bootloader.device: None
    id.bootloader.kickstart: 0
    id.bootloader.serialOptions: None
    id.bootloader.useGrubVal: 1
    id.bootloader._drivelist: None
    id.bootloader.images: BootImages instance, containing members:
      id.bootloader.images.default: None
      id.bootloader.images.images: {}
    id.bootloader.serial: 0
    id.bootloader.password: None
    id.bootloader.forceLBA32: 0
  id.extraModules: []
  id.network: Network instance, containing members:
    id.network.netdevices: {'pan0': DEVICE=pan0
HWADDR=0a:9c:0a:58:45:a8

, 'wlan1': DEVICE=wlan1
HWADDR=00:16:fe:1f:fb:6c

, 'wlan0': DEVICE=wlan0
HWADDR=00:16:e3:8a:86:8e

, 'eth0': DEVICE=eth0
HWADDR=00:40:d0:9c:7b:1f

}
    id.network.ksdevice: None
    id.network.overrideDHCPhostname: False
    id.network.hostname: localhost.localdomain
    id.network.domains: []
  id.instClass: <installclass.DefaultInstall object at 0x7f81fe773e90>
  id.partitions: Partitions instance, containing members:
    id.partitions.encryptionPassphrase: 
    id.partitions.useAutopartitioning: 1
    id.partitions.autoClearPartType: 0
    id.partitions.nextUniqueID: 1
    id.partitions.reinitializeDisks: 0
    id.partitions.useFdisk: 0
    id.partitions.autoClearPartDrives: []
    id.partitions.protected: [sr0]
    id.partitions.retrofitPassphrase: False
    id.partitions.anaconda: Already dumped
    id.partitions.zeroMbr: 0
    id.partitions.isKickstart: 0
    id.partitions.requests: []
    id.partitions.autoEncrypt: False
    id.partitions.autoPartitionRequests: [New Part Request -- mountpoint: None uniqueID: None
  type: physical volume (LVM)  format: 1 
  device: None drive: None  primary: None
  size: 0  grow: 1  maxsize: None
  start: None  end: None  migrate: None    fslabel: None  origfstype: None
  options: 'None'
  fsprofile: None  encryption: None
, VG Request -- name: lvm  uniqueID: None
  format: 1 pesize: 32768  
  physvols: []
, LV Request -- mountpoint: /  uniqueID: None
  type: ext3  format: 1
  size: 1024  lvname: LogVol00  volgroup: lvm
  options: 'None'  fsprofile: None  encryption: 'None'
, New Part Request -- mountpoint: /boot uniqueID: None
  type: ext3  format: 1 
  device: None drive: None  primary: None
  size: 200  grow: 0  maxsize: None
  start: None  end: None  migrate: None    fslabel: None  origfstype: None
  options: 'None'
  fsprofile: None  encryption: None
, LV Request -- mountpoint: None  uniqueID: None
  type: swap  format: 1
  size: 1000  lvname: LogVol01  volgroup: lvm
  options: 'None'  fsprofile: None  encryption: 'None'
]
    id.partitions.deletes: []
  id.isHeadless: 0
  id.videocard: None
  id.instLanguage: Language instance, containing members:
    id.instLanguage.targetLang: None
    id.instLanguage.default: en_US.UTF-8
    id.instLanguage.displayMode: g
    id.instLanguage.current: en_US.UTF-8
  id.security: Security instance, containing members:
    id.security.selinux: 1
  id.upgradeSwapInfo: None
dir: 1
backend: Already dumped


/tmp/anaconda.log:
22:38:34 INFO    : using only installclass _Fedora
22:38:34 INFO    : anaconda called with cmdline = ['/usr/sbin/anaconda', '--liveinst', '--method=livecd:///dev/mapper/live-osimg-min', '--lang', 'en_US.UTF-8']
22:38:34 INFO    : Display mode = g
22:38:34 INFO    : Starting graphical installation...
22:38:35 INFO    : Detected 2016M of memory
22:38:35 INFO    : Swap attempt of 1000M to 4016M
22:38:35 WARNING : step installtype does not exist
22:38:35 WARNING : step confirminstall does not exist
22:38:35 WARNING : step complete does not exist
22:38:35 INFO    : moving (1) to step welcome
22:38:52 INFO    : moving (1) to step keyboard
22:39:00 INFO    : moving (1) to step network
Comment 8 Bug Zapper 2009-01-09 01:45:10 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.